var VarSearchOptions = function()
{
	var options = {};
	
	// Page initialization
	options.initPage = function()
	{
		var frm = document.forms['options'];
		
		// Initialise checkboxes and sort order list
		var visible = frm.visibleColumns.value.split(',');
		for (var i = 0; i < visible.length; i++)
		{
			var colId = visible[i];
			if (frm[colId])
			{
				frm[colId].checked = true;
				frm.sortOrder[frm.sortOrder.length] = new Option(frm[colId].parentNode.textContent, colId);
			}
		}
		
		// Add event handlers
		for (var i = 0; i < frm.elements.length; i++)
		{
			if (frm[i].type == 'checkbox') Events.addEventHandler(frm[i], 'change', options.toggleColumn);;
		}

		Events.addEventHandler('sortOrder', 'dblclick', options.hideColumn);
		Buttons.addClickHandler('moveUp', options.moveVisibleUpOrDown);
		Buttons.addClickHandler('moveDown', options.moveVisibleUpOrDown);

		Buttons.addClickHandler('close', App.closeWindow);
		Buttons.addClickHandler('btnOk', options.saveOptions);
	}
	
	options.saveOptions = function()
	{
		// At least one option should be selected
		var frm = document.forms['options'];
		var visible = [];
		for (var i = 0; i < frm.sortOrder.length; i++)
		{
			visible[visible.length] = frm.sortOrder[i].value;
		}
		
		if (visible.length == 0)
		{
			Forms.showNotification('LINKS', 'At least one column must be selected');
			return;
		}

		frm.visibleColumns.value = visible.join(',');
		frm.submit();
	}

	options.toggleColumn = function(event)
	{
		var checkbox = event.currentTarget;
		var frm = document.forms['options'];
		if (checkbox.checked)
		{
			var option = new Option(checkbox.parentNode.textContent, checkbox.id, true, true);
			var atIndex = frm.sortOrder.length;
			for (var i = atIndex-1; i>=0; i--)
			{
				if (frm.sortOrder[i].selected) 
				{
					atIndex = i+1;
					break;
				}
			}
			
			if (atIndex == 0) atIndex = frm.sortOrder.length;
			Forms.addListOption(frm.sortOrder, atIndex, option);
		}
		else
		{
			for (var i = 0; i < frm.sortOrder.length; i++)
			{
				if (frm.sortOrder[i].value == checkbox.id)
				{
					sortOrder[i] = null;
					break;
				}
			}
		}
	}
	
	options.moveVisibleUpOrDown = function(event)
	{
		var moveDown = Data.int(event.currentTarget, 'down');
		Forms.moveListOptions('sortOrder', moveDown);
	}
	
	options.hideColumn = function()
	{

		var frm = document.forms['options'];
		for (var i = 0; i < frm.sortOrder.length; i++)
		{
			var option = frm.sortOrder[i];
			if (option.selected)
			{
				frm.sortOrder[i] = null;
				frm[option.value].checked = false;
				i--;
			}
		}
	}

	return options;
}();

Doc.onLoad(VarSearchOptions.initPage);

