<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
try
{
	String indexId = Values.getString(request.getParameter("indexId"), "filtered");
	String visibleColumns = Values.getString(sc.getUserClientSetting("net.sf.basedb.varsearch.visible-columns."+indexId), 
		"GENE,POS,REF_ALT,TYPE,HGVSC,HGVSP,LINKS");
%>
<base:page type="popup" title="Variant search options">
<base:head 
	scripts="~options.js"
/>
<base:body>
	<h1>Variant search options</h1>

	<form name="options" id="options" method="post" action="submit_options.jsp">
	<input type="hidden" name="ID" value="<%=ID%>">
	<input type="hidden" name="cmd" value="SaveOptions">
	<input type="hidden" name="indexId" value="<%=HTML.encodeTags(indexId)%>">
	<input type="hidden" name="visibleColumns" value="<%=HTML.encodeTags(visibleColumns)%>">
	<div class="content bottomborder">
	
		<table class="fullform input100">
		<tr style="vertical-align: top;">
			<th>Select columns</th>
			<td style="width: 1em; vertical-align: middle; font-size: 125%;">
				<span style="cursor: pointer;" id="moveUp" title="Move up" data-down="0">▲</span><br>
				<span style="cursor: pointer;" id="moveDown" title="Move down" data-down="1">▼</span><br><br>
			</td>
			<td style="width: 16em;">
				<b>Sort order</b><br>
				<select name="sortOrder" id="sortOrder" multiple style="width: 15em;" size=13>
				</select>
			</td>
			<td>
				<b>All columns</b><br>
				<label><input type="checkbox" name="GENE" id="GENE">Gene</label><br>
				<label><input type="checkbox" name="POS" id="POS">Position</label><br>
				<label><input type="checkbox" name="REF_ALT" id="REF_ALT">Ref › Alt</label><br>
				<label><input type="checkbox" name="TYPE" id="TYPE">Type</label><br>
				<label><input type="checkbox" name="EFFECT" id="EFFECT">Effect</label><br>
				<label><input type="checkbox" name="HGVSC" id="HGVSC">HGVS.c</label><br>
				<label><input type="checkbox" name="HGVSP" id="HGVSP">HGVS.p</label><br>
				<label><input type="checkbox" name="GT" id="GT">Genotype</label><br>
				<label><input type="checkbox" name="DP" id="DP">Depth</label><br>
				<label><input type="checkbox" name="VD" id="VD">Variant depth</label><br>
				<label><input type="checkbox" name="AF" id="AF">Allele frequency</label><br>
				<label><input type="checkbox" name="LINKS" id="LINKS">Links</label><br>
			</td>
		</tr>
		<tr class="dynamic">
			<th class="subprompt"></th>
			<td>
				
			</td>
		</tr>
		</table>
	
	</div>
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="btnOk" title="Ok" />
		<base:button id="close" title="Cancel" />
	</base:buttongroup>
</base:body>
</base:page>
<%
}
finally
{}
%>